package com.xingxi.store.service;

import com.xingxi.store.common.UserContext;
import com.xingxi.store.model.*;

public interface UserProfileServiceI  {
    UserProfileUpdateResponse updateUserProfile(UserContext userContext, UserProfileUpdateRequest request);

    UserProfileResponse getUserProfile(UserContext userContext, UserProfileRequest request);

    UserProfileUpdateResponse updateUserNickName(UserContext userContext, UserProfileUpdateRequest request);

    UserProfileUpdateResponse updateUserAvatar(UserContext userContext, UserProfileUpdateRequest request);
}
